---
layout: default
title: Accounts
Description: Here are some of my accounts. You can contact me through these.
---

<meta name="robots" content="noindex, nofollow" />

<script>

	fetch("/assets/other/accounts.json").then(response => response.json()).then(response => {

		response.forEach((item, value) => {
			
			let siteEl = document.createElement("p")
			siteEl.className = "site-name"
			siteEl.textContent = item.site

			let userEl = document.createElement("p")
			userEl.className = "user-name"
			userEl.textContent = item.username

			let iconEl
			if (item.icon) {
				if (/\.[a-z]+/.test(item.icon)) {
					iconEl = document.createElement("img")
					iconEl.className = "site-icon"
					iconEl.src = item.icon
				} else {
					iconEl = document.createElement("span")
					iconEl.className = "iconify site-icon"
					iconEl.dataset.icon = item.icon
					iconEl.style = item.iconStyle
				}
			} else {
				iconEl = document.createElement("span")
				iconEl.className = "iconify site-icon"
				iconEl.dataset.icon = "fa:file-o"
				iconEl.style = "color: gray"
			}
			
			let linkEl = document.createElement("a")
			linkEl.href = "#"
			linkEl.target = "_blank"
			linkEl.href = item.url
			linkEl.appendChild(iconEl)
			linkEl.appendChild(siteEl)
			linkEl.appendChild(userEl)

			let wrapEl = document.createElement("div")
			wrapEl.className = "account"
			wrapEl.appendChild(linkEl)
			
			let colEl = document.createElement("div")
			colEl.className = "col-12 col-sm-6 col-md-4 col-xl-3"
			colEl.appendChild(wrapEl)

			// if (value % 4 === 0) {
			// 	let rowEl = document.createElement("div")
			// 	rowEl.className = "row"
			// 	document.querySelector("#account").appendChild(rowEl)
			// }

			document.querySelector("#accounts .row:last-child").appendChild(colEl)

		});
	})

</script>
<style>
	#accounts .col-12 {
		padding: 0
	}

	.account {
		color: black;
		padding: 0.375rem 15px
	}

	.account:hover {
		background: rgb(248, 248, 248);
	}

	.account a {
		color: black;
	}

	.account a:hover {
		text-decoration: none
	}

	.site-icon {
		display: block;
		float: left;
		margin-bottom: auto;
		margin-right: 0.75rem;
		margin-top: auto;
		max-height: 64px;
		max-width: 64px
	}

	.site-icon.iconify {
		height: 64px;
		width: 64px
	}

	.site-name {
		font-size: 20px;
		margin: 10px 0 4px;
		line-height: 1;
	}

	.user-name {
		margin: 8px 0;
		margin-bottom: 10px;
		line-height: 1
	}
</style>

<div class="container">
	<h1>Accounts</h1>
	<p>Here are some of my accounts that I have. If possible within the service, you can contact me through one of these.</p>
</div>

<div class="container-xl" id="accounts">
	<div class="row"></div>
</div>
